Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Public Types | Data Fields
iseq_link_element Struct Reference

## Public Types
enum | { ISEQ_ELEMENT_ANCHOR, ISEQ_ELEMENT_LABEL, ISEQ_ELEMENT_INSN, ISEQ_ELEMENT_ADJUST, ISEQ_ELEMENT_TRACE }

## Data Fields
enum iseq_link_element:: { ... } | type
struct iseq_link_element * | next
struct iseq_link_element * | prev

## Detailed Description

Definition at line 38 of file compile.c.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
ISEQ_ELEMENT_ANCHOR |
ISEQ_ELEMENT_LABEL |
ISEQ_ELEMENT_INSN |
ISEQ_ELEMENT_ADJUST |
ISEQ_ELEMENT_TRACE |

Definition at line 39 of file compile.c.

## Field Documentation

## ◆ next

struct iseq_link_element* iseq_link_element::next

Definition at line 46 of file compile.c.

## ◆ prev

struct iseq_link_element* iseq_link_element::prev

Definition at line 47 of file compile.c.

## ◆ type

enum { ... } iseq_link_element::type

The documentation for this struct was generated from the following file:

- compile.c